Debian Bug report logs - #736416
ITP: debci -- continuous integration system for Debian

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antonio Terceiro <terceiro@debian.org>

Date: Thu, 23 Jan 2014 13:12:02 UTC

Owned by: Antonio Terceiro <terceiro@debian.org>

Severity: wishlist

Fixed in version debci/0.5.0

Done: Antonio Terceiro <terceiro@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, autopkgtest-devel@lists.alioth.debian.org, debian-qa@lists.debian.org, wnpp@debian.org:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 13:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, autopkgtest-devel@lists.alioth.debian.org, debian-qa@lists.debian.org, wnpp@debian.org. (Thu, 23 Jan 2014 13:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 10:08:25 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Antonio Terceiro <terceiro@debian.org>

* Package name    : debci
  Version         : 0.4.0
  Upstream Author : Antonio Terceiro <terceiro@debian.org>
* URL             : http://ci.debian.net/
* License         : GPL-3
  Programming Lang: Mostly POSIX Shell. a little bit of (or a rewrite
                    in) a saner language (Ruby|Perl|Python) might be
                    needed down the road
  Description     : continuous integration system for Debian

debci will scan the Debian archive for packages that contains DEP-8
compliant test suites, and run those test suites whenever a new version
of the package, or of any package in its dependency chain (modulo the
base system), is available.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Thu, 23 Jan 2014 13:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 736416@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Antonio Terceiro <terceiro@debian.org>, 736416@bugs.debian.org
Cc: Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 14:37:17 +0100
[Message part 1 (text/plain, inline)]
Hey Antonio,

I suppose you BCCed me as I don't usually get WNPP bug mail; thanks!

You are probably aware that we do this kind of thing in Ubuntu [1],
which spawned quite a bunch of autopkgtest additions and also failures
[2] in Debian. We currently use some wrapper scripts around
autopkgtest [3] and let the whole thing run in Jenkins; that thing has
grown "organically" (to say it in a positive way), but it has a couple
of restrictions and is a bit too complex for my taste. (And that
doesn't even include the integration with britney)

Since then autopkgtest itself grew a few things which reduces the need
for wrapper scripts (just today I landed some new features particulary
for your use case).  So, if you find something which adt-run itself
should do but doesn't, please don't hesitate to file a bug and/or grab
me on IRC (pitti on Freenode).

I'm very eager to see what you have in mind for debci. I think if we
work together and I maybe get to add a proper adt-virt-qemu [4] some
day, we can eliminate [3] entirely, and the whole thing would be
reduced to scanning the archive and scheduling/running adt-run on the
slaves (QEMU, LXC, or schroots in practice). Do you want to use an
existing job scheduler like http://jenkins.debian.net, or perhaps
something simpler like zookeeper?

Thanks,

Martin

[1] https://jenkins.qa.ubuntu.com/view/Trusty/view/AutoPkgTest/
[2] http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=autopkgtest;users=autopkgtest-devel@lists.alioth.debian.org
[3] http://bazaar.launchpad.net/~auto-package-testing-dev/auto-package-testing/trunk/files
[4] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719215

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Thu, 23 Jan 2014 14:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 736416@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Antonio Terceiro <terceiro@debian.org>, 736416@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 15:17:46 +0100
[Message part 1 (text/plain, inline)]
* Antonio Terceiro [Thu Jan 23, 2014 at 10:08:25AM -0300]:

> * Package name    : debci
>   Version         : 0.4.0
>   Upstream Author : Antonio Terceiro <terceiro@debian.org>
> * URL             : http://ci.debian.net/
> * License         : GPL-3
>   Programming Lang: Mostly POSIX Shell. a little bit of (or a rewrite
>                     in) a saner language (Ruby|Perl|Python) might be
>                     needed down the road
>   Description     : continuous integration system for Debian

> debci will scan the Debian archive for packages that contains DEP-8
> compliant test suites, and run those test suites whenever a new version
> of the package, or of any package in its dependency chain (modulo the
> base system), is available.

Sounds promising, thanks for your work, Antonio.
(As Martin Pitt already wrote in #736416 it would be great if the
existing efforts could be shared.)

I'm a bit unhappy about the naming though, because currently it's
running DEP-8 tests only and "continuous integration system for
Debian" and its project name "debci" are a bit missleading from my
PoV. Do you have any further things in mind for debci?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 14:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Thu, 23 Jan 2014 14:24:04 GMT) Full text and rfc822 format available.

Message #20 received at 736416@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Martin Pitt <mpitt@debian.org>, 736416@bugs.debian.org
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 15:21:01 +0100
[Message part 1 (text/plain, inline)]
* Martin Pitt [Thu Jan 23, 2014 at 02:37:17PM +0100]:

> I'm very eager to see what you have in mind for debci. I think if we
> work together and I maybe get to add a proper adt-virt-qemu [4] some
> day, we can eliminate [3] entirely, and the whole thing would be
> reduced to scanning the archive and scheduling/running adt-run on the
> slaves (QEMU, LXC, or schroots in practice). Do you want to use an
> existing job scheduler like http://jenkins.debian.net, or perhaps
> something simpler like zookeeper?

What job scheduler is in use for jenkins.debian.net?
Are you using zookeeper for jenkins.qa.ubuntu.com?

(JFTR, Zuul with Gearman is also a nice combination, especially with
Gerrit: http://status.openstack.org/zuul/ )

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 14:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Thu, 23 Jan 2014 14:39:07 GMT) Full text and rfc822 format available.

Message #25 received at 736416@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Michael Prokop <mika@debian.org>
Cc: 736416@bugs.debian.org, Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 15:34:42 +0100
[Message part 1 (text/plain, inline)]
Hey Michael,

please keep Jean-Baptiste in CC; keeping fullquote for him.

Michael Prokop [2014-01-23 15:21 +0100]:
> * Martin Pitt [Thu Jan 23, 2014 at 02:37:17PM +0100]:
> 
> > I'm very eager to see what you have in mind for debci. I think if we
> > work together and I maybe get to add a proper adt-virt-qemu [4] some
> > day, we can eliminate [3] entirely, and the whole thing would be
> > reduced to scanning the archive and scheduling/running adt-run on the
> > slaves (QEMU, LXC, or schroots in practice). Do you want to use an
> > existing job scheduler like http://jenkins.debian.net, or perhaps
> > something simpler like zookeeper?
> 
> What job scheduler is in use for jenkins.debian.net?
> Are you using zookeeper for jenkins.qa.ubuntu.com?

Jenkins is a job scheduler already AFAIK. We have a couple of big
iron servers for actually running the tests (they provide 4 or 8
parallel qemu runs) that are registered as slaves in Jenkins, and the
auto-generated Jenkins jobs from lp:auto-package-testing, and Jenkins
does the rest. Jean-Baptiste is driving this part.

> (JFTR, Zuul with Gearman is also a nice combination, especially with
> Gerrit: http://status.openstack.org/zuul/ )

Thanks,

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 14:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Thu, 23 Jan 2014 14:54:04 GMT) Full text and rfc822 format available.

Message #30 received at 736416@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Martin Pitt <mpitt@debian.org>, 736416@bugs.debian.org
Cc: Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 15:51:14 +0100
[Message part 1 (text/plain, inline)]
* Martin Pitt [Thu Jan 23, 2014 at 03:34:42PM +0100]:
> Michael Prokop [2014-01-23 15:21 +0100]:
> > * Martin Pitt [Thu Jan 23, 2014 at 02:37:17PM +0100]:

> > > I'm very eager to see what you have in mind for debci. I think if we
> > > work together and I maybe get to add a proper adt-virt-qemu [4] some
> > > day, we can eliminate [3] entirely, and the whole thing would be
> > > reduced to scanning the archive and scheduling/running adt-run on the
> > > slaves (QEMU, LXC, or schroots in practice). Do you want to use an
> > > existing job scheduler like http://jenkins.debian.net, or perhaps
> > > something simpler like zookeeper?

> > What job scheduler is in use for jenkins.debian.net?
> > Are you using zookeeper for jenkins.qa.ubuntu.com?

> Jenkins is a job scheduler already AFAIK.

Ah, now I get what you mean, I see. :)
(FTR: basically you can trigger builds remotely, build periodically
or poll the SCM (and of course trigger jobs after other job runs) in
Jenkins.)

> We have a couple of big iron servers for actually running the
> tests (they provide 4 or 8 parallel qemu runs) that are registered
> as slaves in Jenkins, and the auto-generated Jenkins jobs from
> lp:auto-package-testing, and Jenkins does the rest. Jean-Baptiste
> is driving this part.

I see, thanks for sharing. When do you schedule those runs? Like
before a package enters the archive or after it has already entered
the archive? Out of any pipeline? (I'm running autopkgtest test runs
as part of the normal binary package builds, also in Jenkins but
fully VCS-only driven.)

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 15:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Thu, 23 Jan 2014 15:06:05 GMT) Full text and rfc822 format available.

Message #35 received at 736416@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Michael Prokop <mika@debian.org>
Cc: 736416@bugs.debian.org, Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 16:03:50 +0100
[Message part 1 (text/plain, inline)]
Michael Prokop [2014-01-23 15:51 +0100]:
> I see, thanks for sharing. When do you schedule those runs? Like
> before a package enters the archive or after it has already entered
> the archive? Out of any pipeline? (I'm running autopkgtest test runs
> as part of the normal binary package builds, also in Jenkins but
> fully VCS-only driven.)

What happens is roughly as follows:

 - package gets uploaded to devel-proposed (roughly comparable to
   Debian unstable)
 - britney waits until the package gets built on the architectures
   that we run autopkgtest on (i386 and amd64 ATM, soon to be armhf)
 - once those binaries become installable (this check doesn't work
   ATM, but it's intended to) it requests autopkgtest runs for that
   package and all of its reverse dependencies
 - Jenkins picks up that request and runs tests for the requested
   packages
 - results get aggregated back to the machine that runs britney
 - once builds are completed on *all* arches, packages stay/become
   installable (as usual with britney), and all requested autopkgtests
   succeeded, the package gets propagated to devel (roughly comparable
   to Debian testing)
   otherwise, if anything fails there, the package gets held back in
   -proposed, which can be seen at [1] (search for FAIL to see the
   cases where autopkgtest holds back a new version)

No human user is running devel-proposed, as this is by definition the
pocket where stuff is broken. Human users run devel (i. e. the testing
equivalent). autopkgtests are run with -proposed enabled, of course,
so that you can do fixes/updates/transitions of several packages in
lockstep. In Ubuntu we don't use an additional waiting time (like
Debian's 10/5/2 days) for the -proposed → devel migration.

Martin

[1] http://people.canonical.com/~ubuntu-archive/proposed-migration/update_excuses.html


-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Jan 2014 16:12:04 GMT) Full text and rfc822 format available.

Message #40 received at 736416@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 736416@bugs.debian.org, Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 13:08:02 -0300
[Message part 1 (text/plain, inline)]
On Thu, Jan 23, 2014 at 02:37:17PM +0100, Martin Pitt wrote:
> Hey Antonio,
> 
> I suppose you BCCed me as I don't usually get WNPP bug mail; thanks!
> 
> You are probably aware that we do this kind of thing in Ubuntu [1],
> which spawned quite a bunch of autopkgtest additions and also failures
> [2] in Debian. We currently use some wrapper scripts around
> autopkgtest [3] and let the whole thing run in Jenkins; that thing has
> grown "organically" (to say it in a positive way), but it has a couple
> of restrictions and is a bit too complex for my taste. (And that
> doesn't even include the integration with britney)
> 
> Since then autopkgtest itself grew a few things which reduces the need
> for wrapper scripts (just today I landed some new features particulary
> for your use case).  So, if you find something which adt-run itself
> should do but doesn't, please don't hesitate to file a bug and/or grab
> me on IRC (pitti on Freenode).

cool, thanks! I think we should absolutely work together and I will bug
you with bug reports and whatnot. :)

> I'm very eager to see what you have in mind for debci. I think if we
> work together and I maybe get to add a proper adt-virt-qemu [4] some
> day, we can eliminate [3] entirely, and the whole thing would be
> reduced to scanning the archive and scheduling/running adt-run on the
> slaves (QEMU, LXC, or schroots in practice). Do you want to use an
> existing job scheduler like http://jenkins.debian.net, or perhaps
> something simpler like zookeeper?

So what debci does ATM is exactly only scanning the archive and calling
out to "something" to run the tests. That something now is just

  `adt-run ... --- adt-virt-schroot`

so I need some extra code to make sure the used chroot is up to date
etc. My next step is much probably to extract the backend and make it
pluggable, so that you can still use schroot, but also submit jobs to
jenkins.debian.net.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Jan 2014 16:15:04 GMT) Full text and rfc822 format available.

Message #45 received at 736416@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Michael Prokop <mika@debian.org>, 736416@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 13:12:53 -0300
[Message part 1 (text/plain, inline)]
On Thu, Jan 23, 2014 at 03:17:46PM +0100, Michael Prokop wrote:
> * Antonio Terceiro [Thu Jan 23, 2014 at 10:08:25AM -0300]:
> 
> > * Package name    : debci
> >   Version         : 0.4.0
> >   Upstream Author : Antonio Terceiro <terceiro@debian.org>
> > * URL             : http://ci.debian.net/
> > * License         : GPL-3
> >   Programming Lang: Mostly POSIX Shell. a little bit of (or a rewrite
> >                     in) a saner language (Ruby|Perl|Python) might be
> >                     needed down the road
> >   Description     : continuous integration system for Debian
> 
> > debci will scan the Debian archive for packages that contains DEP-8
> > compliant test suites, and run those test suites whenever a new version
> > of the package, or of any package in its dependency chain (modulo the
> > base system), is available.
> 
> Sounds promising, thanks for your work, Antonio.
> (As Martin Pitt already wrote in #736416 it would be great if the
> existing efforts could be shared.)

absolutely

> I'm a bit unhappy about the naming though, because currently it's
> running DEP-8 tests only and "continuous integration system for
> Debian" and its project name "debci" are a bit missleading from my
> PoV. Do you have any further things in mind for debci?

Well, I am not aware of any other spec for runtime, as-installed test
suites for packages. debci uses DEP-8 because that is what we have
today.

I don't think we need other specs for runtime test suites, but if they
come around I will have nothing against also supporting them.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#736416; Package wnpp. (Thu, 23 Jan 2014 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Hofstaedtler <zeha@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Thu, 23 Jan 2014 17:21:05 GMT) Full text and rfc822 format available.

Message #50 received at 736416@bugs.debian.org (full text, mbox):

From: Christian Hofstaedtler <zeha@debian.org>
To: Antonio Terceiro <terceiro@debian.org>, Michael Prokop <mika@debian.org>, 736416@bugs.debian.org
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Thu, 23 Jan 2014 18:19:27 +0100
[Message part 1 (text/plain, inline)]
* Antonio Terceiro wrote:
> On Thu, Jan 23, 2014 at 03:17:46PM +0100, Michael Prokop wrote:
> > I'm a bit unhappy about the naming though, because currently it's
> > running DEP-8 tests only and "continuous integration system for
> > Debian" and its project name "debci" are a bit missleading from my
> > PoV. Do you have any further things in mind for debci?
> 
> Well, I am not aware of any other spec for runtime, as-installed test
> suites for packages. debci uses DEP-8 because that is what we have
> today.

I think the question on naming here was prompted because debci
currently only runs tests, while CI might imply a bit more than that.
(Building, publishing, ...)

    Christian
-- 
 ,''`.  Christian Hofstaedtler <zeha@debian.org>
: :' :  Debian Developer
`. `'   7D1A CFFA D9E0 806C 9C4C  D392 5C13 D6DB 9305 2E03
  `-

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#736416; Package wnpp. (Sat, 25 Jan 2014 12:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Sat, 25 Jan 2014 12:57:09 GMT) Full text and rfc822 format available.

Message #55 received at 736416@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Antonio Terceiro <terceiro@debian.org>
Cc: 736416@bugs.debian.org, Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Sat, 25 Jan 2014 13:55:39 +0100
[Message part 1 (text/plain, inline)]
Hey Antonio,

I've just read the "developer news" and learned about
http://ci.debian.net/. Way cool! I'm really looking forward to getting
this stabilized and integrated into the PTS, britney, and email
notifications. Like in Ubuntu this will probably meet some resistance
at first, but after having done this for a while it's really hard to
imagine how we ever got by without it :-)

Antonio Terceiro [2014-01-23 13:08 -0300]:
> cool, thanks! I think we should absolutely work together and I will bug
> you with bug reports and whatnot. :)

Indeed. The first thing that comes to my mind is that we need
something better in the DEP-8 control fields to describe what kind of
machines or runners the test works with. Just yesterday I evaluated
all our autopkgtests (in Ubuntu, but as we push them back to Debian as
much as possible it shouldn't be totally different) in LXC [1], and
there are some tests where schroot and even LXC just don't cut it, and
a full VM is needed. Also, we soon want to move our other kinds of
tests to use the autopkgtest machinery, then we'll need something like
"this test needs to run on a machine with an NVidia card". I. e. some
kind of tags that you can assign test execution environmens with and
match them against the requirements in debian/tests/control. If you
are interested in that, let's discuss on [2].

Thanks,

Martin

[1] https://lists.ubuntu.com/archives/ubuntu-devel/2014-January/038007.html
[2] http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/autopkgtest-devel


-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#736416; Package wnpp. (Wed, 29 Jan 2014 01:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 Jan 2014 01:33:04 GMT) Full text and rfc822 format available.

Message #60 received at 736416@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Christian Hofstaedtler <zeha@debian.org>, 736416@bugs.debian.org
Cc: Michael Prokop <mika@debian.org>
Subject: Re: Bug#736416: ITP: debci -- continuous integration system for Debian
Date: Tue, 28 Jan 2014 22:31:06 -0300
[Message part 1 (text/plain, inline)]
On Thu, Jan 23, 2014 at 06:19:27PM +0100, Christian Hofstaedtler wrote:
> 
> * Antonio Terceiro wrote:
> > On Thu, Jan 23, 2014 at 03:17:46PM +0100, Michael Prokop wrote:
> > > I'm a bit unhappy about the naming though, because currently it's
> > > running DEP-8 tests only and "continuous integration system for
> > > Debian" and its project name "debci" are a bit missleading from my
> > > PoV. Do you have any further things in mind for debci?
> > 
> > Well, I am not aware of any other spec for runtime, as-installed test
> > suites for packages. debci uses DEP-8 because that is what we have
> > today.
> 
> I think the question on naming here was prompted because debci
> currently only runs tests, while CI might imply a bit more than that.
> (Building, publishing, ...)

Well, yes. "CI" might mean all that in some contexts, and will also mean
just "running the tests all the time" in other contexts. Also in the
Debian context, building and publishing is pretty much a solved problem.

Anyway, is there are other types of QA checks that need to be performed
when reverse dependencies change, I will be more than happy to also
support them in debci.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Antonio Terceiro <terceiro@debian.org>:
You have taken responsibility. (Fri, 28 Mar 2014 16:03:09 GMT) Full text and rfc822 format available.

Notification sent to Antonio Terceiro <terceiro@debian.org>:
Bug acknowledged by developer. (Fri, 28 Mar 2014 16:03:09 GMT) Full text and rfc822 format available.

Message #65 received at 736416-close@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 736416-close@bugs.debian.org
Subject: Bug#736416: fixed in debci 0.5.0
Date: Fri, 28 Mar 2014 16:00:07 +0000
Source: debci
Source-Version: 0.5.0

We believe that the bug you reported is fixed in the latest version of
debci, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 736416@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Terceiro <terceiro@debian.org> (supplier of updated debci package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 24 Mar 2014 20:06:56 -0300
Source: debci
Binary: debci
Architecture: source all
Version: 0.5.0
Distribution: unstable
Urgency: medium
Maintainer: Antonio Terceiro <terceiro@debian.org>
Changed-By: Antonio Terceiro <terceiro@debian.org>
Description: 
 debci      - continuous integration system for Debian
Closes: 736416
Changes: 
 debci (0.5.0) unstable; urgency=medium
 .
   [ Martin Pitt ]
   * Add missing dctrl-tools dependency.
   * Use "dpkg --print-architecture" instead of dpkg-architecture, to avoid a
     dependency on dpkg-dev and the (undeclared) dependency on gcc.
   * Fix grep_packages() to actually use the configured architecture instead of
     the host architecture.
   * Add --help output to debci-{list-packages,setup,test}, instead of failing
     with an "usage: not found" error.
 .
   [ Antonio Terceiro ]
   * Initial upload to Debian (Closes: #736416)
     The API is not set yet, but I am uploading anyway to allow for early
     testing, improve contribution opportunities, to get a BTS etc.
   * Updated documentation
     - instructions for setting up a development instance.
     - Point traffic at debian-qa
   * modularize behaviour of a backend
     - existing implementation extracted as the `schroot` backend
     - added a `fake` backend that helps with testing
   * schroot backend optimization: always run with eatmydata
   * Add blame support: when tests of a package start failing after some
     dependencies were updated, those dependencies will be "blamed" for the
     failure.
   * improvements on autopkgtest usage:
     - debci now uses the autopkgtest support for downloading the source
       package instead of downloading manually and them calling adt-run
     - debci now differentiates between the non-zero adt-run exit codes, so
       that skipped tests will not count as failures. Also added a `tmpfail`
       status, to be used when for some reason the tests could not be run for
       some external failure (e.g. mirror failures, broken dependencies etc).
   * debci now keeps track of the base system. Tests will be run again every 2
     weeks even if no explicit dependency changes. Test logs will also display
     the changes in the base system since the last run.
   * Add DEP-8 support to debci itself \o/
   * extra safety: add `set -u` to all shell scripts
Checksums-Sha1: 
 566e5ba750be2bb5af61546c9431708953a2478a 1618 debci_0.5.0.dsc
 27a731feb84e7889b0070b133d0abc86857e274f 124888 debci_0.5.0.tar.xz
 d9e63c380a212056f95a0261c9af0053748c0c51 123698 debci_0.5.0_all.deb
Checksums-Sha256: 
 963e615a77365d2716fe788ecddb03eb48229c53830e66598abbb410a02c275f 1618 debci_0.5.0.dsc
 21486ad8146211cd94c7c83afbda6511d02f1c3ec3a47ba217a3f492274d2500 124888 debci_0.5.0.tar.xz
 3fb54a51ffe6996ca1f480b4381d48dd92989717ecaf56e73d6fc00205bb5cfa 123698 debci_0.5.0_all.deb
Files: 
 c8eeca00e76741b5679e2c6365b0f7b7 1618 devel optional debci_0.5.0.dsc
 7e11f1c56009c3880beaaa871361414b 124888 devel optional debci_0.5.0.tar.xz
 7ea90ff8de5bb3bd685979c207495985 123698 devel optional debci_0.5.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJTML+JAAoJEPwNsbvNRgveLLcP/jwMTPhcMwGQLpE5u+7YbOA1
G2ALucgFNwvsGfXsHsXSNHbgN5gp1rixt3ZpXi2fPNjSnKyUSaI/geEJzdbwcbfM
TWt2/OOAu1NGYekRO01oCS5O8DEbl8NCpxU3K4cpJ5Jnwhn0hInSQRyXzadQp/Ja
gcTZ9jEXnAUJVGiH/UO5PzmcWcNc7t5K4D5RKtBCnXTgzYRpc9z4XBmpgaIOIPs9
pT5A1NgTg5OsJOmL6Wgd344sH5EKxNNI3jKmOOildVIRyEn+HUyGlof1F31ScKPS
rt2gpcUjA8G2bY0JuwEzNdNOqfHuGDQrlPP6R/riaMIGk+Lf1VsvxZzS3W/w2iwF
783NBQNYQr1PlbAzk+2iUoY6qHZ3nvbEs63MocBV+ADfLFoZ+DHciGGXYUtVn8S5
zLOOVf9mGovCvaRaWmvuSNTcKB7esp9kCWHVr1ZJ67/gaPfRj5ZXh8/LcwkKfc56
IzeetnsdAF5TbM2PQQjdFudgwoym1V8lMHQg3KfDTbAPYpvigsey/Uba2srsm4XI
Ay1lix4Q5doSPkfiUY/CamWMSm1E1lwqxmicSTI+GQnH8UbRxknGRcYbTGX0VEt4
dSFloN/PuUs6LpehmtbgXYzRw2KSXMhsAwPzFKatOIRpQp2yvV8v6WyV/jHw3O9l
vHpXu8/xqxqSBJi8wRLD
=lkcd
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:23:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.